Skip to main content
GET
/
api
/
v1
/
extractions
/
{id}
Poll an extraction
curl --request GET \
  --url https://vine.getcourtyard.ai/api/v1/extractions/{id} \
  --header 'Authorization: Bearer <token>'
{
  "schemaVersion": "<string>",
  "id": "<string>",
  "kind": "extract",
  "attempt": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "startedAt": "2023-11-07T05:31:56Z",
  "finishedAt": "2023-11-07T05:31:56Z",
  "durationMs": 123,
  "result": {},
  "failure": {
    "code": "<string>",
    "message": "<string>",
    "retryable": true
  }
}

Authorizations

Authorization
string
header
required

vine_live_… / vine_test_… API key

Path Parameters

id
string
required

Response

Current state of the extraction.

schemaVersion
string
id
string
kind
enum<string>
Available options:
extract
status
enum<string>
Available options:
queued,
running,
succeeded,
failed,
timed_out
attempt
integer
createdAt
string<date-time>
startedAt
string<date-time> | null
finishedAt
string<date-time> | null
durationMs
integer | null
result
object
failure
object